package com.javaseleniumtemplate.tests;
import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.annotations.Test;
public class CadastroGrupoTipodePratoTests extends TestBase {

    MainPage cadastroGrupoTipoPrato;
    LoginFlows loginFlows;
    MainFlows mainFlows;

    @Test
    public void efetuaCadastroGrupoTipoPrato() {
        //Objects instances
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        cadastroGrupoTipoPrato = new MainPage();

        //Parameteres
        String usuario = "thiago.automacao1029";
        String senha = "Tek2403";
        String codigoGrupo = "08";
        String nomeGrupo = "GUARNIÇÃO";

        loginFlows.efetuarLogin();
        mainFlows.navegarParaGrupoTipodePrato();

        cadastroGrupoTipoPrato.clicaAdicionar();
        cadastroGrupoTipoPrato.informarCodigo(codigoGrupo);
        cadastroGrupoTipoPrato.informaNomeGrupo(nomeGrupo);
        cadastroGrupoTipoPrato.salvaInformacao();

    }



}
