package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.SubstituicaoPratoCardapioFlows;
import com.javaseleniumtemplate.pages.SubstituicaoPratoCardapioPage;
import org.testng.annotations.Test;

public class SubstituicaoPratoCardapioTests extends TestBase {

    SubstituicaoPratoCardapioFlows substituicaoPratoCardapioFlows;
    SubstituicaoPratoCardapioPage substituicaoPratoCardapioPage;
    LoginFlows loginFlows;

    @Test
    public void SubstituiPratoCardapio(){
        substituicaoPratoCardapioFlows = new SubstituicaoPratoCardapioFlows();
        substituicaoPratoCardapioPage = new SubstituicaoPratoCardapioPage();
        loginFlows = new LoginFlows();

        String DTINICIAL = "28/11/2022";
        String DTFINAL = "28/11/2022";
        String NMPRATOORIG = "ARROZ TEMPEREADO";
        String NMPRATOALT = "FEIJOADA SIMPLES";
        String VALOR = "50";
        String CDAGRUPAMENTO = "0000000002";
        String DTINIANT = "24/11/2022";
        String DTFIMANT = "24/11/2022";
        String PRATOATUAL = "ARROZ TEMPEREADO";
        String PRATONOVO = "FEIJOADA SIMPLES";
        String DATAFIM = "30/11/2022";


        loginFlows.efetuarLogin();
        substituicaoPratoCardapioFlows.acessaTelaSubstituicaoPrato();
        substituicaoPratoCardapioFlows.alterarPrato(DTINICIAL,DTFINAL,NMPRATOORIG,NMPRATOALT);
       // substituiçãoPratoCardapioFlows.alteraConsumoPrato(NMPRATOALT, VALOR);
        substituicaoPratoCardapioFlows.validarPratos(CDAGRUPAMENTO,DTINIANT,DTFIMANT,PRATOATUAL,PRATONOVO,NMPRATOALT,NMPRATOORIG);
        substituicaoPratoCardapioFlows.alterarPeriodo(DTINICIAL,DATAFIM,PRATONOVO,PRATOATUAL);


    }

}
